import Vue from 'vue';
import VueRouter from 'vue-router';
import checkLogin from '@common/router/before';

Vue.use(VueRouter);

const routes = [
  // 首页
  {
    path: '/',
    meta: { title: '首页管理' },
    component: () => import('../views/home/index.vue'),
  },
  // 菜单管理
  {
    path: '/menu/index',
    meta: { title: '菜单管理' },
    component: () => import('../views/menu/index.vue'),
  },
  // 部门管理
  {
    path: '/department/index',
    meta: { title: '部门管理' },
    component: () => import('../views/department/index.vue'),
  },
  // 权限管理
  {
    path: '/permission/index',
    meta: { title: '权限管理' },
    component: () => import('../views/permission/index.vue'),
  },
  // 机构管理员
  {
    path: '/adminUser/index',
    meta: { title: '机构管理员' },
    component: () => import('../views/adminUser/index.vue'),
  },
  {
    path: '/adminUser/detail',
    meta: { title: '机构管理员信息管理' },
    component: () => import('../views/adminUser/detail.vue'),
  },
  // 业务管理员
  {
    path: '/business/index',
    meta: { title: '业务管理员' },
    component: () => import('../views/business/index.vue'),
  },
  {
    path: '/business/detail',
    meta: { title: '业务员管理员信息管理' },
    component: () => import('../views/adminUser/detail.vue'),
  },
  // vip用户
  {
    path: '/vip/index',
    meta: { title: 'VIP用户' },
    component: () => import('../views/vip/index.vue'),
  },
  {
    path: '/vip/detail',
    meta: { title: 'VIP用户管理' },
    component: () => import('../views/vip/detail.vue'),
  },
  // 用戶管理
  // 个人&企业&专家
  {
    path: '/user/index',
    meta: { title: '个人&企业&专家用户管理' },
    component: () => import('../views/user/index.vue'),
  },
  // 添加+修改
  {
    path: '/user/detail',
    meta: { title: '个人&企业用户信息管理' },
    component: () => import('../views/user/detail.vue'),
  },
  // 对接会
  {
    path: '/duijiehui/index',
    meta: { title: '对接会管理' },
    component: () => import('../views/duijiehui/index.vue'),
  },
  //对接会详情
  {
    path: '/duijiehui/detail',
    component: () => import('../views/duijiehui/detail.vue'),
  },
  //对接会审核
  {
    path: '/duijiehui/duijieshenhe',
    component: () => import('../views/duijiehui/duijieshenhe.vue'),
  },
  //对接会管理员审核详情
  {
    path: '/duijiehui/duijiehuiexamine',
    component: () => import('../views/duijiehui/duijiehuiexamine.vue'),
  },
  //对接会是否开始
  {
    path: '/duijiehui/duijiehuistatus',
    component: () => import('../views/duijiehui/duijiehuistatus.vue'),
  },
  //产品供求审核管理
  {
    path: '/enterpriseProduct/index',
    meta: { title: '产品供求审核管理' },
    component: () => import('../views/enterpriseProduct/index.vue'),
  },
  //产品供求发布管理
  {
    path: '/enterpriseProduct/detail',
    meta: { title: '产品供求信息管理' },
    component: () => import('../views/enterpriseProduct/detail.vue'),
  },
  //产品供求交易状态审核管理
  {
    path: '/enterpriseTrans/index',
    meta: { title: '产品供求交易状态审核管理' },
    component: () => import('../views/enterpriseTrans/index.vue'),
  },
  //科技超市发起交易审核详情
  {
    path: '/enterpriseTrans/detail',
    meta: { title: '产品供求交易状态审核管理' },
    component: () => import('../views/enterpriseTrans/detail.vue'),
  },
  //技术交流
  {
    path: '/technical/index',
    meta: { title: '技术交流' },
    component: () => import('../views/technical/index.vue'),
  },
  // 技术交流-栏目列表
  {
    path: '/technical/columnDetail',
    component: () => import('../views/technical/columnDetail.vue'),
  },
  // 技术交流-信息列表
  {
    path: '/technical/messageInfoDetail',
    component: () => import('../views/technical/messageInfoDetail.vue'),
  },
  //字典管理
  {
    path: '/dictionary/index',
    meta: { title: '字典管理' },
    component: () => import('../views/dictionary/index.vue'),
  },
];

const router = new VueRouter({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : process.env.VUE_APP_ROUTER,
  routes,
});
checkLogin(router, () => {
  let url = process.env.NODE_ENV === 'development' ? null : `/platlive/login`;
  if (url) window.location.href = url;
  else console.log('开发环境自己弄');
});

export default router;
