import Vue from 'vue';
import Vuex from 'vuex';
import login from '@common/store/login';
import * as ustate from '@common/store/user/state';
import * as umutations from '@common/store/user/mutations';
import tranaudit from './tranaudit';
import transaction from './transaction';
import productpact from './productpact';
import market from './market';
import liveTechnicalColumn from './liveTechnicalColumn';
import liveTechnicalNews from './liveTechnicalNews';
import codeitem from './codeitem';
import codeCategory from './codeCategory';
import exportuser from './exportuser';
//菜单分配权限
import role from './user/role';
import authUser from './user/auth-user';
// 个人&企业
import users from './user';
// 对接会
import live from './live';
// 地址
import place from './place';
import apply from './apply';
// 直播
import room from './onlive/room';
// 类型
import markettype from './markettype';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    login,
    tranaudit, //交易审核表
    transaction, //交易记录表
    productpact, //电子合同
    market, //产品信息表
    liveTechnicalColumn, //技术交流类别
    liveTechnicalNews, //技术交流内容
    codeitem, //字典表
    codeCategory, //字典表类别
    users,
    users, //个人&7企业
    exportuser, //专家
    live, //对接会
    place, //地址
    apply, //对接会
    role, //菜单分配权限
    authUser, //管理员
    room, //直播房间
    markettype, //类型
  },
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
});
